//==============================================================================
// Tracker mutator for Unreal Tournament 2004
// Version 1.2
// 31/10/2008
// Author - Michal Bida, michal.bida@seznam.cz
//==============================================================================
class TrackerInteraction extends Interaction
	config(Track);

var HUD MyHUD;

var Logger Logger;

event Initialized()
{
	//ViewportOwner.Actor.MyHUD.bCrosshairShow = false;
	//ViewportOwner.Actor.ConsoleCommand("set Engine.PlayerInput bEnableDodging false", true );


	Logger = ViewportOwner.Actor.Spawn(class'Track.Logger', ViewportOwner.Actor);
	Logger.bHidden = true;
	Logger.myController = ViewportOwner.Actor;
	Logger.InitLog();

    MyHUD = ViewportOwner.Actor.spawn(class'Track.TrackerHUD', ViewportOwner.Actor);
	TrackerHUD(MyHUD).Logger = Logger;
	//Logger.SetTimer(0.1,true);
}

event Destroyed()
{
	Logger.Destroy();
}

event NotifyLevelChange()
{

	MyHUD.Destroy();

   	Logger.Destroy();
    ViewportOwner.InteractionMaster.RemoveInteraction(self);

}

function bool KeyEvent(EInputKey Key, EInputAction Action, FLOAT Delta )
{
	log("We are in KeyEvent");

    if ((Action == IST_Press) && (Key==IK_Home))
    {
    	Logger.LogKey("Key HOME");
	}

	if ( (Action == IST_Press) &&  ((Key == IK_1) || (Key == IK_2) || (Key == IK_3) || (Key == IK_4) || (Key == IK_5) || (Key == IK_6) || (Key == IK_7) || (Key == IK_8) || (Key == IK_9) || (Key == IK_0) ) )
	{
		if (Key == IK_1)
			Logger.LogKey("Key 1");
		else if (Key == IK_2)
			Logger.LogKey("Key 2");
		else if (Key == IK_3)
			Logger.LogKey("Key 3");
		else if (Key == IK_4)
			Logger.LogKey("Key 4");
		else if (Key == IK_5)
			Logger.LogKey("Key 5");
		else if (Key == IK_6)
			Logger.LogKey("Key 6");
		else if (Key == IK_7)
			Logger.LogKey("Key 7");
		else if (Key == IK_8)
			Logger.LogKey("Key 8");
		else if (Key == IK_9)
			Logger.LogKey("Key 9");
		else if (Key == IK_0)
			Logger.LogKey("Key 0");
	}

	if ((Action == IST_Press) && ((Key==IK_H)||(Key==IK_I) ))
    {
    	TrackerHUD(MyHUD).bDrawInfo = !TrackerHUD(MyHUD).bDrawInfo;
	}

    return false;
}


function PostRender( canvas Canvas )
{

	if (MyHUD != none)
    	MyHUD.PostRender(Canvas);
}


defaultproperties
{
	bActive=true
	bVisible=true
}
